diff --git a/rubygem-oauth/rubygem-oauth.spec b/rubygem-oauth/rubygem-oauth.spec
index a20fe30e7..f8576e4b4 100644
--- a/rubygem-oauth/rubygem-oauth.spec
+++ b/rubygem-oauth/rubygem-oauth.spec
@@ -11,17 +11,18 @@ Group: Development/Languages
 License: MIT
 URL: http://rubydoc.info/gems/oauth
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %endif
-BuildRequires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 OAuth Core Ruby implementation
diff --git a/rubygem-opennebula/rubygem-opennebula.spec b/rubygem-opennebula/rubygem-opennebula.spec
index 425bbc4ba..f6290c281 100644
--- a/rubygem-opennebula/rubygem-opennebula.spec
+++ b/rubygem-opennebula/rubygem-opennebula.spec
@@ -14,25 +14,26 @@ URL: http://opennebula.org/
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
-Requires: %{?scl_prefix}rubygem(json)
+Requires: %{?scl_prefix_ruby}rubygem(json)
 Requires: %{?scl_prefix}rubygem(nokogiri)
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Libraries needed to talk to OpenNebula
@@ -41,6 +42,7 @@ Libraries needed to talk to OpenNebula
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -75,4 +77,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Wed Aug 13 2014 Dominic Cleal <dcleal@redhat.com> 4.8.0-1
 - new package built with tito
-
diff --git a/rubygem-openscap/rubygem-openscap.spec b/rubygem-openscap/rubygem-openscap.spec
index 841735ff4..e69035031 100644
--- a/rubygem-openscap/rubygem-openscap.spec
+++ b/rubygem-openscap/rubygem-openscap.spec
@@ -18,37 +18,38 @@ Group: Development/Languages
 License: GPLv2+
 URL: https://github.com/isimluk/ruby-openscap
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(ffi) >= 1.0.9
 # require libopenscap.so.8 in an arch neutral way
 Requires: openscap >= 1.2.1
 Requires: openscap < 1.3.0
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby >= 1.9.3
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby >= 1.9.3
 # For tests we need:
 BuildRequires: openscap >= 1.2.1
 BuildRequires: openscap < 1.3.0
 BuildRequires: bzip2
-BuildRequires: %{?scl_prefix}rubygem(rake)
-BuildRequires: %{?scl_prefix}rubygem(bundler)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rake)
+BuildRequires: %{?scl_prefix_ruby}rubygem(bundler)
 BuildRequires: %{?scl_prefix}rubygem(ffi) >= 1.0.9
 BuildRequires: openscap-devel
 # End (for the tests we needed)
 
 %if 0%{?fedora} > 18
-Requires:      %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires:      %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 # For the tests we need
 BuildRequires: %{?scl_prefix}rubygem(test-unit)
 %else
-Requires:      %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires:      %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 # For the tests we need
-BuildRequires: %{?scl_prefix}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
 %endif
 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A FFI wrapper around the OpenSCAP library. The %{name}
diff --git a/rubygem-ovirt_provision_plugin/rubygem-ovirt_provision_plugin.spec b/rubygem-ovirt_provision_plugin/rubygem-ovirt_provision_plugin.spec
index ba5d85ee9..aceb1bc31 100644
--- a/rubygem-ovirt_provision_plugin/rubygem-ovirt_provision_plugin.spec
+++ b/rubygem-ovirt_provision_plugin/rubygem-ovirt_provision_plugin.spec
@@ -29,19 +29,19 @@ Requires:   foreman >= 1.5.0
 Requires:   %{?scl_prefix}rubygem(deface)
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
@@ -49,6 +49,7 @@ Requires: %{?scl_prefix}rubygem(rbovirt) >= 0.0.27
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-ovirt-provision
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This plugin monitors oVirt provision for new host and perform related API calls
@@ -57,6 +58,7 @@ to ovirt-engine.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -109,4 +111,3 @@ GEMFILE
 
 * Fri Jun 27 2014 Dominic Cleal <dcleal@redhat.com> 0.0.1-1
 - new package built with tito
-
diff --git a/rubygem-paint/rubygem-paint.spec b/rubygem-paint/rubygem-paint.spec
index 46979edcd..6637b5e82 100644
--- a/rubygem-paint/rubygem-paint.spec
+++ b/rubygem-paint/rubygem-paint.spec
@@ -11,14 +11,15 @@ Group: Development/Languages
 License: MIT
 URL: https://github.com/janlelis/paint
 Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(abi)
-Requires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}rubygems-devel
+Requires: %{?scl_prefix_ruby}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 #tests
-BuildRequires: %{?scl_prefix}rubygem(rspec)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rspec)
 
 %description
 Paint manages terminal colors and effects for you. It combines the strengths
@@ -30,6 +31,7 @@ default.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-passenger/rubygem-passenger.spec b/rubygem-passenger/rubygem-passenger.spec
index b1f550ef2..c0f36e284 100644
--- a/rubygem-passenger/rubygem-passenger.spec
+++ b/rubygem-passenger/rubygem-passenger.spec
@@ -85,15 +85,15 @@ Patch203:       rubygem-passenger-4.0.18-daemon-controller.patch
 # Change temp directory from /tmp to /var/run/rubygem-passenger
 Patch205:       rubygem-passenger-4.0.18-tmpdir.patch
 
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 # XXX: Needed to run passenger standalone
 #Requires: %{?scl_prefix}rubygem(daemon_controller) >= 1.0.0
-Requires: %{?scl_prefix}rubygem(rack)
-Requires: %{?scl_prefix}rubygem(rake)
+Requires: %{?scl_prefix_ruby}rubygem(rack)
+Requires: %{?scl_prefix_ruby}rubygem(rake)
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && 0%{!?scl:1})
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
 %if 0%{?rhel} >= 6 || 0%{?fedora} >= 15
@@ -113,16 +113,16 @@ BuildRequires: doxygen
 BuildRequires: graphviz
 BuildRequires: httpd-devel
 # BuildRequires: libev-devel
-BuildRequires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}ruby-devel
-BuildRequires: %{?scl_prefix}rubygems
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygem(rake) >= 0.8.1
-BuildRequires: %{?scl_prefix}rubygem(rack)
+BuildRequires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygem(rake) >= 0.8.1
+BuildRequires: %{?scl_prefix_ruby}rubygem(rack)
 %if %{enable_check}
-BuildRequires: %{?scl_prefix}rubygem(rspec)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rspec)
 %endif
-BuildRequires: %{?scl_prefix}rubygem(mime-types)
+BuildRequires: %{?scl_prefix_ruby}rubygem(mime-types)
 # BuildRequires: source-highlight
 
 # XXX
@@ -130,6 +130,7 @@ BuildRequires: zlib-devel
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}-%{release}
 Provides: bundled(boost) =  1.44
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Phusion Passenger™ — a.k.a. mod_rails or mod_rack — makes deployment
@@ -163,6 +164,7 @@ This package contains development files for Phusion Passenger™.
 Summary: Apache Module for Phusion Passenger
 Group: System Environment/Daemons
 Requires: %{?scl_prefix}rubygem(%{gem_name}) = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 License: CC-BY-SA and MIT and (MIT or GPL+)
 
@@ -184,7 +186,7 @@ Phusion Passenger™ bindings.
 Summary: Phusion Passenger native extensions
 Group: System Environment/Daemons
 Requires: %{name}%{?_isa} = %{version}-%{release}
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby
 License: Boost and BSD and BSD with advertising and MIT and zlib
 %description native-libs
 This package contains the native shared library for Apache & Nginx
diff --git a/rubygem-pg/rubygem-pg.spec b/rubygem-pg/rubygem-pg.spec
index bebdd6cad..54390b9f6 100644
--- a/rubygem-pg/rubygem-pg.spec
+++ b/rubygem-pg/rubygem-pg.spec
@@ -18,18 +18,19 @@ Group: Development/Languages
 License: (GPLv2 or Ruby) and BSD
 URL: http://bitbucket.org/ged/ruby-pg/
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires: %{?scl_prefix}ruby-devel
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildRequires: postgresql-server postgresql-devel
-BuildRequires: %{?scl_prefix}rubygem(rspec)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rspec)
 # Introduced in F17.
 Obsoletes: %{?scl_prefix}ruby(postgres) <= 0.7.9-2010.01.28.2
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This is the extension library to access a PostgreSQL database from Ruby.
@@ -40,6 +41,7 @@ This library works with PostgreSQL 7.4 and later.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-po_to_json/rubygem-po_to_json.spec b/rubygem-po_to_json/rubygem-po_to_json.spec
index 6295261a7..a4b25a0eb 100644
--- a/rubygem-po_to_json/rubygem-po_to_json.spec
+++ b/rubygem-po_to_json/rubygem-po_to_json.spec
@@ -13,22 +13,23 @@ License: MIT
 URL: http://github.com/nubis/po_to_json
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygem(json)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygem(json)
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Convert gettext PO files to json to use in your javascript app, based
@@ -39,6 +40,7 @@ Raudssus <torsten@raudss.us>.)
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -76,4 +78,3 @@ cp -a .%{gem_dir}/* \
 
 * Tue May 14 2013 Dominic Cleal <dcleal@redhat.com> 0.0.7-1
 - new package built with tito
-
diff --git a/rubygem-powerbar/rubygem-powerbar.spec b/rubygem-powerbar/rubygem-powerbar.spec
index 0b93aed34..c36f4e4fb 100644
--- a/rubygem-powerbar/rubygem-powerbar.spec
+++ b/rubygem-powerbar/rubygem-powerbar.spec
@@ -23,22 +23,23 @@ Source0:   http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
 BuildArch: noarch
 Provides:  %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 Requires:  %{?scl_prefix}rubygem(ansi) >= 1.4.0
 Requires:  %{?scl_prefix}rubygem(ansi) <  1.5.0
 Requires:  %{?scl_prefix}rubygem(hashie) >= 1.1.0
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && 0%{!?scl:1})
-Requires:  %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires:  %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires:  %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires:  %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires:  %{?scl_prefix}rubygems
+Requires:  %{?scl_prefix_ruby}rubygems
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 %description
 %{desc}
@@ -46,6 +47,7 @@ BuildRequires: %{?scl_prefix}rubygems
 %package   doc
 BuildArch: noarch
 Requires:  %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:   Documentation for %{pkg_name}
 
 %description doc
@@ -136,4 +138,3 @@ cp -pa .%{_bindir}/* %{buildroot}%{_bindir}/
 
 * Fri Sep 06 2013 Marek Hulan <mhulan@redhat.com> 1.0.11-0
 - new package built with tito
-
diff --git a/rubygem-puppetdb_foreman/rubygem-puppetdb_foreman.spec b/rubygem-puppetdb_foreman/rubygem-puppetdb_foreman.spec
index 7b6b3f69f..fad8e6678 100644
--- a/rubygem-puppetdb_foreman/rubygem-puppetdb_foreman.spec
+++ b/rubygem-puppetdb_foreman/rubygem-puppetdb_foreman.spec
@@ -27,24 +27,25 @@ Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 Requires:   foreman >= 1.4.0
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) >= %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
 Provides: foreman-plugin-puppetdb
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This is a foreman plugin to interact with PuppetDB through callbacks
@@ -113,4 +114,3 @@ GEMFILE
 
 * Tue Sep 10 2013 Dominic Cleal <dcleal@redhat.com> 0.0.4-1
 - new package built with tito
-
diff --git a/rubygem-quiet_assets/rubygem-quiet_assets.spec b/rubygem-quiet_assets/rubygem-quiet_assets.spec
index 92c764063..fc1e8c87e 100644
--- a/rubygem-quiet_assets/rubygem-quiet_assets.spec
+++ b/rubygem-quiet_assets/rubygem-quiet_assets.spec
@@ -14,23 +14,24 @@ License: GPLv2+ or Ruby
 URL: http://github.com/evrone/quiet_assets
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems) 
-Requires: %{?scl_prefix}ruby 
-Requires: %{?scl_prefix}rubygem(railties) >= 3.1
-Requires: %{?scl_prefix}rubygem(railties) < 5.0
+Requires: %{?scl_prefix_ruby}ruby(rubygems) 
+Requires: %{?scl_prefix_ruby}ruby 
+Requires: %{?scl_prefix_ruby}rubygem(railties) >= 3.1
+Requires: %{?scl_prefix_ruby}rubygem(railties) < 5.0
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel 
-BuildRequires: %{?scl_prefix}ruby 
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel 
+BuildRequires: %{?scl_prefix_ruby}ruby 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Quiet assets turn off rails assets log.
@@ -40,6 +41,7 @@ Quiet assets turn off rails assets log.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-rabl/rubygem-rabl.spec b/rubygem-rabl/rubygem-rabl.spec
index 1f3fd5f77..9372e30e5 100644
--- a/rubygem-rabl/rubygem-rabl.spec
+++ b/rubygem-rabl/rubygem-rabl.spec
@@ -11,18 +11,19 @@ Group: Development/Languages
 License: MIT
 URL: https://github.com/nesquena/rabl
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
-Requires: %{?scl_prefix}rubygem(activesupport) >= 2.3.14
+Requires: %{?scl_prefix_ruby}rubygems
+Requires: %{?scl_prefix_ruby}rubygem(activesupport) >= 2.3.14
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 RABL (Ruby API Builder Language) is a Rails and Padrino ruby
@@ -32,6 +33,7 @@ BSON.
 %package doc
 BuildArch: noarch
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary: Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -119,4 +121,3 @@ rm %{buildroot}%{gem_instdir}/{README.md,CHANGELOG.md,CONTRIBUTING.md,MIT-LICENS
 
 * Mon Aug 20 2012 Ivan Necas <inecas@redhat.com> 0.7.1-1
 - initial package
-
diff --git a/rubygem-rack-jsonp/rubygem-rack-jsonp.spec b/rubygem-rack-jsonp/rubygem-rack-jsonp.spec
index f0e2075e8..2cc7fdf27 100644
--- a/rubygem-rack-jsonp/rubygem-rack-jsonp.spec
+++ b/rubygem-rack-jsonp/rubygem-rack-jsonp.spec
@@ -14,23 +14,24 @@ URL: https://github.com/crohr/rack-jsonp
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-Requires: %{?scl_prefix}rubygem(rack)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+Requires: %{?scl_prefix_ruby}rubygem(rack)
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A Rack middleware for providing JSON-P support. Most of it is taken from the
@@ -40,6 +41,7 @@ original Rack::JSONP middleware present in rack-contrib.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -76,4 +78,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Mon Jan 19 2015 Dominic Cleal <dcleal@redhat.com> 1.3.1-1
 - new package built with tito
-
diff --git a/rubygem-rails-i18n/rubygem-rails-i18n.spec b/rubygem-rails-i18n/rubygem-rails-i18n.spec
index f1916501a..70041000d 100644
--- a/rubygem-rails-i18n/rubygem-rails-i18n.spec
+++ b/rubygem-rails-i18n/rubygem-rails-i18n.spec
@@ -12,20 +12,21 @@ Group: Development/Ruby
 License: MIT
 URL: https://github.com/svenfuchs/rails-i18n
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}rubygems
-Requires: %{?scl_prefix}rubygem(i18n) >= 0.5
-Requires: %{?scl_prefix}rubygem(i18n) < 1
-Requires: %{?scl_prefix}rubygem(rails) >= 3.0.0
-Requires: %{?scl_prefix}rubygem(rails) < 4.0.0
+Requires: %{?scl_prefix_ruby}rubygems
+Requires: %{?scl_prefix_ruby}rubygem(i18n) >= 0.5
+Requires: %{?scl_prefix_ruby}rubygem(i18n) < 1
+Requires: %{?scl_prefix_ruby}rubygem(rails) >= 3.0.0
+Requires: %{?scl_prefix_ruby}rubygem(rails) < 4.0.0
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A set of common locale data and translations to internationalize and/or
@@ -34,6 +35,7 @@ localize your Rails applications.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -70,4 +72,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Wed Jul 29 2015 Dominic Cleal <dcleal@redhat.com> 3.0.1-1
 - new package built with tito
-
diff --git a/rubygem-rb-readline/rubygem-rb-readline.spec b/rubygem-rb-readline/rubygem-rb-readline.spec
index bfe2bce99..fdc0e0bc2 100644
--- a/rubygem-rb-readline/rubygem-rb-readline.spec
+++ b/rubygem-rb-readline/rubygem-rb-readline.spec
@@ -13,20 +13,21 @@ URL: https://github.com/luislavena/rb-readline
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
 %if 0%{?scl:1} || (0%{?el6} && 0%{!?scl:1})
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 %if 0%{?scl:1} || (0%{?el6} && 0%{!?scl:1})
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 The readline library provides a pure Ruby implementation of the GNU readline C library,
@@ -36,6 +37,7 @@ as well as the Readline extension that ships as part of the standard library.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-rbovirt/rubygem-rbovirt.spec b/rubygem-rbovirt/rubygem-rbovirt.spec
index 2d819173e..f509ba19f 100644
--- a/rubygem-rbovirt/rubygem-rbovirt.spec
+++ b/rubygem-rbovirt/rubygem-rbovirt.spec
@@ -13,17 +13,18 @@ License: MIT
 URL: http://github.com/abenari/rbovirt
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 Requires: %{?scl_prefix}rubygem-nokogiri
 
 Requires: %{?scl_prefix}rubygem-rest-client
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(rbovirt) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %define gembuilddir %{buildroot}%{gem_dir}
 
@@ -33,6 +34,7 @@ A Ruby client for oVirt REST API
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -133,4 +135,3 @@ rm -rf %{buildroot}%{gem_instdir}/.yardoc
 
 * Thu Sep 06 2012 Miroslav Suchý <msuchy@redhat.com> 0.0.12-1
 - new package built with tito
-
diff --git a/rubygem-rbvmomi/rubygem-rbvmomi.spec b/rubygem-rbvmomi/rubygem-rbvmomi.spec
index f6a37b43b..d0e9dfcb6 100644
--- a/rubygem-rbvmomi/rubygem-rbvmomi.spec
+++ b/rubygem-rbvmomi/rubygem-rbvmomi.spec
@@ -12,27 +12,28 @@ License: MIT
 URL: https://github.com/vmware/rbvmomi
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 %if 0%{?fedora} && 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby >= 1.8.7
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby >= 1.8.7
 Requires: %{?scl_prefix}rubygem(nokogiri) >= 1.4.1
-Requires: %{?scl_prefix}rubygem(builder)
+Requires: %{?scl_prefix_ruby}rubygem(builder)
 Requires: %{?scl_prefix}rubygem(trollop)
 %if 0%{?fedora} && 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %endif
 BuildRequires: %{?scl_prefix}rubygem(nokogiri) >= 1.4.1
-BuildRequires: %{?scl_prefix}rubygem(builder)
-BuildRequires: %{?scl_prefix}rubygem(minitest)
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby >= 1.8.7
+BuildRequires: %{?scl_prefix_ruby}rubygem(builder)
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby >= 1.8.7
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Ruby interface to the VMware vSphere API
@@ -42,6 +43,7 @@ Ruby interface to the VMware vSphere API
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-rest-client/rest-client.spec b/rubygem-rest-client/rest-client.spec
index 48ffa8115..f1a3d8e9b 100644
--- a/rubygem-rest-client/rest-client.spec
+++ b/rubygem-rest-client/rest-client.spec
@@ -12,17 +12,18 @@ License: GPLv2+ or Ruby
 URL: http://github.com/archiloque/rest-client
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires: %{?scl_prefix}rubygem(mime-types) >= 1.16
+Requires: %{?scl_prefix_ruby}rubygem(mime-types) >= 1.16
 Requires: %{?scl_prefix}rubygem(netrc)
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 A simple Simple HTTP and REST client for Ruby, inspired by the Sinatra
